Agora Java API Reference for Android

Public Attributes | List of all members
io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats Class Reference

## Public Attributes
int | uid
int | sentBitrate
int | sentFrameRate
int | captureFrameRate
int | captureFrameWidth
int | captureFrameHeight
int | regulatedCaptureFrameRate
int | regulatedCaptureFrameWidth
int | regulatedCaptureFrameHeight
int | encoderOutputFrameRate
int | rendererOutputFrameRate
int | targetBitrate
int | targetFrameRate
int | qualityAdaptIndication
int | encodedBitrate
int | encodedFrameWidth
int | encodedFrameHeight
int | encodedFrameCount
int | codecType
int | txPacketLossRate
int | captureBrightnessLevel
boolean | dualStreamEnabled
int | hwEncoderAccelerating

## Detailed Description

Statistics of the local video.

## Member Data Documentation

## ◆ uid

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.uid

ID of the local user whose video is sent.

## ◆ sentFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.sentFrameRate

Frame rate (fps) sent in the reported interval, which does not include the frame rate of the retransmission video after packet loss.

## ◆ captureFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.captureFrameRate

The capture frame rate (fps) of the local video.

## ◆ captureFrameWidth

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.captureFrameWidth

The width of the capture frame (px).

## ◆ captureFrameHeight

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.captureFrameHeight

The height of the capture frame (px).

## ◆ regulatedCaptureFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.regulatedCaptureFrameRate

The regulated frame rate of capture frame rate according to video encoder configuration.

## ◆ regulatedCaptureFrameWidth

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.regulatedCaptureFrameWidth

The regulated frame width (px) of capture frame width according to video encoder configuration.

## ◆ regulatedCaptureFrameHeight

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.regulatedCaptureFrameHeight

The regulated frame height (px) of capture frame height according to video encoder configuration.

## ◆ encoderOutputFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.encoderOutputFrameRate

The encoder output frame rate (fps) of the local video.

## ◆ rendererOutputFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.rendererOutputFrameRate

The render output frame rate (fps) of the local video.

## ◆ targetBitrate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.targetBitrate

The target bitrate (Kbps) of the current encoder. This value is estimated by the SDK based on the current network conditions.

## ◆ targetFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.targetFrameRate

The target frame rate (fps) of the current encoder.

## ◆ qualityAdaptIndication

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.qualityAdaptIndication

Quality change of the local video in terms of target frame rate and target bit rate since last count.

Since
  v2.4.0.
  - ADAPT_NONE(0): The quality of the local video stays the same.
  - ADAPT_UP_BANDWIDTH(1): The quality improves because the network bandwidth increases.
  - ADAPT_DOWN_BANDWIDTH(2): The quality worsens because the network bandwidth decreases.

## ◆ encodedBitrate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.encodedBitrate

The encoding bitrate (Kbps), which does not include the bitrate of the re-transmission video after packet loss.

## ◆ encodedFrameWidth

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.encodedFrameWidth

The width of the encoding frame (px).

## ◆ encodedFrameHeight

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.encodedFrameHeight

The height of the encoding frame (px).

## ◆ encodedFrameCount

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.encodedFrameCount

The value of the sent frames, represented by an aggregate value.

## ◆ codecType

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.codecType

The codec type of the local video:

- VIDEO_CODEC_VP8 = 1: VP8.
- VIDEO_CODEC_H264 = 2: (Default) H.264.

## ◆ txPacketLossRate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.txPacketLossRate

The video packet loss rate (%) from the local client to the Agora edge server before applying the anti-packet loss strategies.

## ◆ captureBrightnessLevel

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.captureBrightnessLevel

The brightness level of the video image captured by the local camera.

- CAPTURE_BRIGHTNESS_LEVEL_INVALID(-1)
- CAPTURE_BRIGHTNESS_LEVEL_NORMAL(0)
- CAPTURE_BRIGHTNESS_LEVEL_BRIGHT(1)
- CAPTURE_BRIGHTNESS_LEVEL_DARK(2)

## ◆ dualStreamEnabled

boolean io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.dualStreamEnabled

Whether we send dual stream now.

## ◆ hwEncoderAccelerating

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.hwEncoderAccelerating

The encoder is hardware or software:

- hwEncoderAccelerating = 0: the encoder is software.
- hwEncoderAccelerating = 1: the encoder is hardware.